import Vue from "vue";
import Vuex from "vuex";
import App from "./App.vue";
import router from "./router";
import axios from './utils/request' 
import { Tabbar, TabbarItem } from "vant";
import { NavBar } from "vant";
import { Toast } from "vant";
import { Popup } from "vant";
import { Icon } from "vant";
import { Button } from "vant";
import { Image as VanImage } from "vant";
import { Lazyload } from "vant";
import { Card } from "vant";
import { Tag } from "vant";
import { Swipe, SwipeItem } from 'vant';
import { Loading } from 'vant';
import { NoticeBar } from 'vant';
import { Sticky } from 'vant';

Vue.use(Sticky);
Vue.use(NoticeBar);
Vue.use(Loading);
Vue.use(Swipe);
Vue.use(SwipeItem);
Vue.use(Tag);
Vue.use(Card);
Vue.use(Lazyload);
Vue.use(VanImage);
Vue.use(Button);
Vue.use(Icon);
Vue.use(Popup);
Vue.use(Toast);
Vue.use(NavBar);
Vue.use(Tabbar);
Vue.use(TabbarItem);
Vue.use(Vuex);
Vue.config.productionTip = false;

// 全局挂载 axios
Vue.prototype.$axios = axios
new Vue({
  router,
  render: (h) => h(App),
}).$mount("#app");
